function AbxTracker(params) {
    if (typeof params !== "object") {
        return false;
    }

    var extractParam = function (param) {
        var extracted = (params[param] || "unknown");
        return extracted.toString();
    };

    var formatQS = function (parts) {
        var res = [];
        var key;

        for (key in parts) {
            res.push(key + "=" + parts[key].toString());
        }

        return (
            res.length > 0
                ? "?" + res.join("&")
                : ""
        );
    };

    var uidParam = extractParam("uid");
    var hidParam = extractParam("hid");
    var viewIdParam = extractParam("viewId");

    var body = document.getElementsByTagName("body").item(0);

    var registerVisit = function () {
        var query = formatQS({
            uid: uidParam,
            hid: hidParam,
            view_id: viewIdParam,
            v: Date.now()
        });

        var pixel = document.createElement("img");
        pixel.onload = function () {
            pixel.parentNode.removeChild(pixel);
        };
        pixel.setAttribute("width", "1");
        pixel.setAttribute("height", "1");
        pixel.setAttribute("border", "0");
        pixel.setAttribute(
            "src",
            "https://stabx.net/n/tracker/dummy.gif" + query
        );

        body.appendChild(pixel);
    };

    registerVisit();

    return true;
}
